Subject: Re: bug#37541: 27.0.50; messages left over in nnimap-inbox after splitting

From: Amin Bandali <[email-masked]>
Date: Sat, 28 Sep 2019 14:56:03 -0400

Eric Abrahamsen <[email-masked]> writes:

> Amin Bandali <[email-masked]> writes:
>
>> I’ve noticed in the last day or two that nnimap splitting doesn’t seem
>> to be fully applied immediately anymore: upon launching Gnus, a copy of
>> each nnimap split message (mail) remains in my nnimap-inbox (though it
>> appears to be copied to the split destination just fine) until i visit
>> the nnimap-inbox folder manually, and then they’ll disappear.
>
> Did you update Emacs recently? If you've recently updated to something
> that includes fd6f4bf648, it's possible that that's the culprit, as that
> commit touched the way nnimap does message expunging.

Ah!  Yes my Emacs is indeed very recent, and I somehow didn’t see that
commit; thanks for pointing it out!  I confirm that I can get the old
behaviour by setting `nnimap-expunge' to 'immediately for my servers.